%define name	gnomeradio
%define version	1.8
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A FM-Tuner program for Gnome
License:	GPL
Group:		Sound
Source0:	http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio/packages/%{name}-%{version}.tar.xz
URL:	        http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Patch0: %{name}-v4l2.patch
Patch1: %{name}-ld.patch
Patch2: %{name}-crash.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: libgnomeui2_0-devel
BuildRequires: lirc-devel
BuildRequires: rarian
BuildRequires: libcddb-devel
BuildRequires: lirc-devel
BuildRequires: gnome-media-devel
Requires(pre):  GConf2
Requires(preun): GConf2
Requires(post): GConf2

%description
Gnomeradio is a FM radio tuner for the GNOME desktop.
It should work with every FM tuner card that is supported
by video4linux. Remote controls are supported via
lirc-support. Gnomeradio can also record radio as Wave,
MP3 or Ogg files.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .v4l2
%patch1 -p1 -b .ld
%patch2 -p1 -b .crash

%build
%configure2_5x \
--disable-schemas-install \
--disable-install-schemas 
	
%{make} 

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%{make} DESTDIR=%{buildroot} install
%find_lang %{name}

echo "Encoding=UTF-8" >> %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# Fix docs encoding
for file in AUTHORS ChangeLog README ; do
iconv -f iso8859-1 -t utf8 $file > $file.utf8 && mv $file.utf8 $file
done

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 >/dev/null || :


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,0755)
%doc AUTHORS ChangeLog COPYING README README.lirc README.recording
%{_datadir}/gnome/help/%{name}/
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Wed Jan 30 2013 Ken <lxgator@gmail.com> 1.8-1pclos2013
- 1.8

* Fri Jul 18 2008 Slick50 <slick50@linuxgator.org> 1.7-1pclos2007
- 1.7

* Fri Jan 25 2008 Texstar <texstar@gmail.com> 1.6-2pclos2007
- fix rpm suffix

* Mon Dec 10 2007 Slick50 <slick50@linuxgator.org> 1.6-1pclos2007
- Initial build for pclinuxos 2007

